# EqualsCondition

Implements \Condition

A simple string comparator. Compares two strings for eqiality in a binary safe manner. Implements the condition interface specification.

author | Andreas Aderhold andi@binarycloud.com
copyright | 2001,2002 THYRELL. All rights reserved
version | $Id: 624f5e5ba9c48c5b08d31ead22c959c118ca8efa $
package | phing.tasks.system.condition

### Methods

## evaluate

    evaluate() : boolean

throws |

### Response

`boolean`

## setArg1

    setArg1( $a1)

### Arguments

#### $a1

``

## setArg2

    setArg2( $a2)

### Arguments

#### $a2

``

## Should the comparison be case sensitive?

    setCaseSensitive(boolean $b)

### Arguments

#### $b

`boolean`

## Should we want to trim the arguments before comparing them?

    setTrim(boolean $b)

### Arguments

#### $b

`boolean`

### Properties

## arg1

    arg1 :

### Type(s)

``

## arg2

    arg2 :

### Type(s)

``

## trim

    trim :

### Type(s)

``

## caseSensitive

    caseSensitive :

### Type(s)

``